Subject: Re: Problem with PCI bus rescan on 460EX

From: Kenji Kaneshige <[email-masked]>
Date: Mon, 29 Mar 2010 16:01:17 +0900

Yinghai Lu wrote:
> On Sun, Mar 28, 2010 at 2:13 AM, Felix Radensky <[email-masked]> wrote:
>> Hello, Kenji-san
>>
>> I've tried Jesse's tree with Yinghai's patches, but they don't seem to help.
>> Memory for bridge is not allocated after insertion of hotplug device and
>> bus rescan. Attached dmesg output in case of success and failure.
>>
> that patches only take care of pcie hotplug path...
> 
> and it calls
> pci_assign_unassigned_bridge_resources(bridge)
> instead of
> pci_bus_assign_resources(bus)
> 
> so it doesn't check pci_is_enabled()
> 
> maybe  We can update rescan path to check if it is safe to skip the
> pci_is_enabled() too.
>   - no driver for those devices under that bridge are loaded.

Yinghai, Felix,

Thank you very much for the explanation, Yinghai.
The pci_assign_unassigned_bridge_resources() is what I wanted to suggest
to Felix.

Felix, I think assigning hpXXsize at boot time is the simpler solution,
if it is acceptable workaround for you. And as Yinghai suggested in the
another email, removing slot's parent bridge first should be one of the
workaround. But the problem is whether it is acceptable for you, because
your hotplug problem seems a regression.

Thanks,
Kenji Kaneshige

> 
> YH
> --
> To unsubscribe from this list: send the line "unsubscribe linux-pci" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> 
>